package com.ensarc.test;

import java.util.Date;

import org.osgi.service.log.LogService;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Service;

@Service
public class TestLogging {

	@Autowired
	private LogService logService;
	
	protected Logger logger = LoggerFactory.getLogger(this.getClass());

	@Scheduled(fixedDelay=5000)
	public void logInfo() {
		
		System.out.println("Logging Sysout Info : " + new Date());
		
		logger.info("Logging SLF4J Info : " + new Date());
		
		logService.log( LogService.LOG_INFO, "Logging OSGI Info : " + new Date() );
	}

	@Scheduled(fixedDelay=10000)
	public void logError() {
		System.err.println("Logging Syserr Info : " + new Date());
		
		logger.error("Logging SLF4J Error : " + new Date());
		
		logService.log( LogService.LOG_ERROR, "Logging OSGI Error : " + new Date() );
	}
}
